---
title: "gke/SEC/2021_001"
linkTitle: "SEC/2021_001"
weight: 1
type: docs
description: >
  GKE nodes don't use the GCE default service account.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: SEC - Potential security issue

### Description

The GCE default service account has more permissions than are required to run
your Kubernetes Engine cluster.

### Remediation

You should either use GKE Workload Identity or create and use a minimally
privileged service account.

### Further information

- [Hardening your cluster's security](https://cloud.google.com/kubernetes-engine/docs/how-to/hardening-your-cluster#use_least_privilege_sa)
